deja-dup is asking for the admin password

Bug #1815056 reported by Götz Waschk on 2019-02-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Déjà Dup
Undecided
Unassigned
deja-dup (Ubuntu)
Undecided
Unassigned

Bug Description

This is on Ubuntu 18.04.1 LTS with deja-dup 37.1-2fakesync1ubuntu0.1.

I'm using deja-dup for backup of my home directory. I don't have sudo permissions on the machine. I have only my home in backup and all files are owned by me. Still I always get this message:
"Privileges are required to restore files to system locations".

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: deja-dup 37.1-2fakesync1ubuntu0.1
ProcVersionSignature: Ubuntu 4.15.0-45.48-generic 4.15.18
Uname: Linux 4.15.0-45-generic x86_64
NonfreeKernelModules: openafs
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Feb 7 15:38:37 2019
SourcePackage: deja-dup
UpgradeStatus: No upgrade log present (probably fresh install)

Götz Waschk (goetz-waschk) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. When do you get that error? What location do you have configured to store the backup in the preferences?

Götz Waschk (goetz-waschk) wrote :

I get the error when the backup is running. I have configured the home directory for backup. It is on the local drive of the machine.

Sebastien Bacher (seb128) wrote :

Can you start 'DEJA_DUP_DEBUG=1 deja-dup --backup' and see if that triggers the prompt and what is written in the log at this time?

Götz Waschk (goetz-waschk) wrote :
Download full text (7.4 KiB)

Yes, the prompt is there. I click on Cancel and then nothing further was written to the console. The last lines are these:
DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content' dir
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/audio-cdda.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/audio-cdda.xml

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/audio-dvd.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/audio-dvd.xml

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/audio-player.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/audio-player.xml

DUPLICITY: INFO 10 20190108T091630Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/blank-bd.xml' reg
DUPLICITY: . Tue Jan 8 10:16:30 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/blank-bd.xml

DUPLICITY: INFO 10 20190108T091630Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/blank-cd.xml' reg
DUPLICITY: . Tue Jan 8 10:16:30 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/blank-cd.xml

DUPLICITY: INFO 10 20190108T091630Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/blank-dvd.xml' reg
DUPLICITY: . Tue Jan 8 10:16:30 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/blank-dvd.xml

DUPLICITY: INFO 10 20190108T091630Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/blank-hddvd.xml' reg
DUPLICITY: . Tue Jan 8 10:16:30 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/blank-hddvd.xml

DUPLICITY: INFO 10 20190108T091630Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/ebook-reader.xml' reg
DUPLICITY: . Tue Jan 8 10:16:30 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/ebook-reader.xml

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/image-dcf.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/image-dcf.xml

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/image-picturecd.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/image-picturecd.xml

DUPLICITY: INFO 10 20190108T091630Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/software.xml' reg
DUPLICITY: . Tue Jan 8 10:16:30 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/software.xml

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/unix-software.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/unix-software.xml

DUPLICITY: INFO 10 20190108T091631Z 'home/waschk/snap/picard/3/.local/share/mime/x-content/video-bluray.xml' reg
DUPLICITY: . Tue Jan 8 10:16:31 2019 home/waschk/snap/picard/3/.local/share/mime/x-content/video-bluray.xml

DUPLICITY: INFO 10 20190108T0...

Read more...

Götz Waschk (goetz-waschk) wrote :

I forgot to add, that XDG_CACHE_HOME was redirected in this centrally managed system to /tmp/.xdgcache-$USER, maybe that is of relevance?

Michael Terry (mterry) wrote :

Ahh... yes. Deja Dup just checks to see if anything is outside your home folder and then prompts if so.

Looks like the /tmp/ directory for CACHE_HOME is confusing it (because we do backup a little canary file we put in your home cache which we use to verify that the backup is functional and can be restored).

So we ought to do something smarter here - either be more clever about the canary file or more clever about what we consider outside your home folder.

Michael Terry (mterry) on 2020-06-18
Changed in deja-dup:
status: New → Fix Committed
Changed in deja-dup (Ubuntu):
status: New → Fix Committed
summary: - deja-dup is aksing for the admin password
+ deja-dup is asking for the admin password
Michael Terry (mterry) on 2020-06-25
Changed in deja-dup:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers